#include "SmartStrip.hpp"

#define LEDSTRIPE_PIN 15 // D8

void SmartStrip::init()
{
    FastLED.addLeds<NEOPIXEL, LEDSTRIPE_PIN>(leds, 15);
    reset();
}

void SmartStrip::reset()
{
    FastLED.clear(true);
    FastLED.show();
}

void SmartStrip::setGreen(int led)
{
    leds[led].setRGB(0, 2, 0);
    FastLED.show();
}

void SmartStrip::progressBar(int min, int max, int val)
{
    // starts at 14 and goes down to 0 as steeping continues
    int level = map(val, min, max, 0, 14);

    // TODO: only update strip when necessarry
}